Page MenuHomePhabricator

Published titles with User namespace publishing has double User:UserName
Closed, ResolvedPublic1 Story Points

Description

On http://en.wikipedia.beta.wmflabs.org/wiki/Special:ContentTranslation when a page is translated and published the following happens:

  1. user gets the message that the page has been published
  2. user gets the url of the user-space/<page>
  3. the article is listed under the 'published article' list on the dashboard.

What doesn't happen:

  1. the actual page does not get created. So clicking on the url of the page shows the user the message to create a new wiki page
  2. without exiting the translation view if the user makes and edit and tries publishing again, then they are not shown a warning about the 'page already existing'

If the 2nd of the 'what doesn't happen' section does not get resolved after the page creation part is fixed, then a new ticket will have to be created as a separate bug.

Event Timeline

Arrbee created this task.Mar 2 2015, 2:46 PM
Arrbee raised the priority of this task from to High.
Arrbee updated the task description. (Show Details)
Arrbee added a subscriber: Arrbee.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 2 2015, 2:46 PM
Arrbee set Security to None.Mar 3 2015, 6:03 AM
Arrbee edited a custom field.

http://en.wikipedia.beta.wmflabs.org/wiki/Special:Contributions/Arrbee - articles are created, but going under double User namespace

santhosh claimed this task.Mar 4 2015, 5:59 AM
santhosh renamed this task from Published pages are not getting created on beta-labs to Published titles with User namespace publishing has double User:UserName.Mar 4 2015, 6:15 AM

Change 194274 had a related patch set uploaded (by Santhosh):
Avoid generating titles like User:A/User:A/Title

https://gerrit.wikimedia.org/r/194274

santhosh moved this task from Backlog to In Review on the LE-Sprint-83 board.Mar 4 2015, 6:16 AM

Change 194274 merged by jenkins-bot:
Avoid generating titles like User:A/User:A/Title

https://gerrit.wikimedia.org/r/194274

santhosh moved this task from In Review to Done on the LE-Sprint-83 board.Mar 9 2015, 3:42 AM
Arrbee closed this task as Resolved.Mar 10 2015, 8:15 AM